<?php
/**
 * Twenty Thirteen functions and definitions
 *
 * Sets up the theme and provides some helper functions, which are used in the
 * theme as custom template tags. Others are attached to action and filter
 * hooks in WordPress to change core functionality.
 *
 * When using a child theme (see http://codex.wordpress.org/Theme_Development
 * and http://codex.wordpress.org/Child_Themes), you can override certain
 * functions (those wrapped in a function_exists() call) by defining them first
 * in your child theme's functions.php file. The child theme's functions.php
 * file is included before the parent theme's file, so the child theme
 * functions would be used.
 *
 * Functions that are not pluggable (not wrapped in function_exists()) are
 * instead attached to a filter or action hook.
 *
 * For more information on hooks, actions, and filters, @link http://codex.wordpress.org/Plugin_API
 *
 * @package WordPress
 * @subpackage Twenty_Thirteen
 * @since Twenty Thirteen 1.0
 */

/*
 * Set up the content width value based on the theme's design.
 *
 * @see twentythirteen_content_width() for template-specific adjustments.
 */
function theme_enqueue_styles() {

    $parent_style = 'parent-style';

    wp_enqueue_style( $parent_style, get_template_directory_uri() . '/style.css' );
    wp_enqueue_style( 'child-style',
        get_stylesheet_directory_uri() . '/style.css',
        array( $parent_style )
    );
}
add_action( 'wp_enqueue_scripts', 'theme_enqueue_styles' );

// ****** LOGIN ***********
// 1. CSS
function f_login_css() { echo '<link rel="stylesheet" type="text/css" href="'. get_stylesheet_directory_uri().'/style-login.css">'; } // CHILD
add_action('login_head', 'f_login_css');
// 2. Logo
function f_login_logo() { echo '<style type="text/css">body.login div#login h1 a {background-image: url('. get_stylesheet_directory_uri().'/my-logo.png); padding-bottom:30px;}</style>'; }
add_action( 'login_enqueue_scripts', 'f_login_logo' );
// 3. Logo Link
function f_url_login() { return network_site_url('/'); }
add_filter('login_headerurl', 'f_url_login');
// 4. Logo Title
function f_title_login($message) { return get_bloginfo('description'); }
add_filter('login_headertitle', 'f_title_login');
